# IBM Developer's Workframe/2 Make File Creation run at 13:02:26 on 01/21/94

# Make File Creation run in directory:
#   D:\C\CDPLAYER;

!IFNDEF ROOT_PATH
!ERROR ROOT_PATH not defined
!ENDIF

!IFNDEF VERSION
!ERROR VERSION not defined
!ENDIF

!IF "$(LANGUAGE)" == "DEU"
MAKE_PATH = $(ROOT_PATH)\HLPINF\DEU
COUNTRY = 049
!ELSE
!IF "$(LANGUAGE)" == "ENG"
MAKE_PATH = $(ROOT_PATH)\HLPINF\ENG
COUNTRY = 001
!ELSE
!ERROR Invalid or no language defined
!ENDIF
!ENDIF

.SUFFIXES:

.SUFFIXES: .ipp .ipf

ALL: $(MAKE_PATH)\CDPLAYER.INF \
     $(MAKE_PATH)\CDPLAYER.HLP

.ipf.ipp:
   CD $(MAKE_PATH)
   SET INCLUDE=$(ROOT_PATH)\HLPINF;$(ROOT_PATH)\RES\$(LANGUAGE);$(ROOT_PATH)\SRC
   IPFCPREP $*.IPF $*.IPP /D VERSION='$(VERSION)'

.ipp.hlp:
   CD $(MAKE_PATH)
   IPFC $*.IPP /LANGUAGE=$(LANGUAGE) /COUNTRY=$(COUNTRY) /CODEPAGE=437 /W3

.ipp.inf:
   CD $(MAKE_PATH)
   IPFC $*.IPP /LANGUAGE=$(LANGUAGE) /COUNTRY=$(COUNTRY) /CODEPAGE=437 /INF /W3

$(MAKE_PATH)\CDPLAYER.HLP:   $(MAKE_PATH)\CDPLAYER.IPP

$(MAKE_PATH)\CDPLAYER.INF:   $(MAKE_PATH)\CDPLAYER.IPP

$(MAKE_PATH)\CDPLAYER.IPP:   \
   $(MAKE_PATH)\CDPLAYER.IPF \
   $(MAKE_PATH)\PHRASES.IPF    \
   $(MAKE_PATH)\INTRO.IPF    \
   $(MAKE_PATH)\MAINW.IPF    \
   $(MAKE_PATH)\TITLE.IPF    \
   $(MAKE_PATH)\PROGRAM.IPF  \
   $(MAKE_PATH)\INFO.IPF     \
   $(MAKE_PATH)\ERRORS.IPF   \
   $(MAKE_PATH)\SETTINGS.IPF \
   $(MAKE_PATH)\INDEX.IPF    \
   $(MAKE_PATH)\COPYRGHT.IPF \
   $(MAKE_PATH)\FOOTNOTE.IPF \
   $(MAKE_PATH)\DSPSLIDE.BMP \
   $(MAKE_PATH)\DSPTIME.BMP  \
   $(MAKE_PATH)\DSPPROG.BMP  \
   $(MAKE_PATH)\DSPVOL.BMP   \
   $(MAKE_PATH)\CDIMAGE.BMP  \
   $(ROOT_PATH)\HLPINF\BTNFOR.BMP   \
   $(ROOT_PATH)\HLPINF\BTNBACK.BMP  \
   $(ROOT_PATH)\HLPINF\BTNPLAY.BMP  \
   $(ROOT_PATH)\HLPINF\BTNPAUSE.BMP \
   $(ROOT_PATH)\HLPINF\BTNSTOP.BMP  \
   $(ROOT_PATH)\HLPINF\BTNEJECT.BMP \
   $(ROOT_PATH)\HLPINF\BTNAUTO0.BMP \
   $(ROOT_PATH)\HLPINF\BTNAUTO1.BMP \
   $(ROOT_PATH)\HLPINF\BTNMUTE0.BMP \
   $(ROOT_PATH)\HLPINF\BTNVOL.BMP   \
   $(ROOT_PATH)\HLPINF\BTNMUTE1.BMP \
   $(ROOT_PATH)\HLPINF\CDICON.BMP   \
   $(ROOT_PATH)\HLPINF\ICONINFO.BMP \
   $(ROOT_PATH)\RES\$(LANGUAGE)\LANGUAGE.H \
   $(ROOT_PATH)\SRC\PANEL.H \
   $(ROOT_PATH)\HLPINF\HLPINF.MAK
