
!IFNDEF ROOT_PATH
!ERROR ROOT_PATH not defined
!ENDIF

!IFNDEF VERSION
!ERROR VERSION not defined
!ENDIF

!IFDEF SHAREWARE
!IFDEF RELEASE
!ERROR RELEASE and SHAREWARE must not be defined both
!ENDIF
TARGET_PATH = $(ROOT_PATH)\RELEASE\SHAREWAR
!ELSE
!IFDEF RELEASE
!IFNDEF USERNAME
!ERROR USERNAME not defined
!ENDIF
!IFNDEF REGID
!ERROR REGID not defined
!ENDIF
TARGET_PATH = $(ROOT_PATH)\RELEASE\$(REGID)
!ELSE
!ERROR RELEASE or SHAREWARE must be defined
!ENDIF
!ENDIF

ALL: UPDATE $(TARGET_PATH)\CDPLAYER.ZIP

UPDATE:
    CD $(ROOT_PATH)\HLPINF
    NMAKE /F HLPINF.MAK LANGUAGE=DEU
    NMAKE /F HLPINF.MAK LANGUAGE=ENG
    CD $(ROOT_PATH)\EXE
    NMAKE /F EXE.MAK LANGUAGE=DEU
    NMAKE /F EXE.MAK LANGUAGE=ENG

$(TARGET_PATH)\CDPLAYER.ZIP: $(TARGET_PATH)\DEU\CDPLAYER.ZIP \
     $(TARGET_PATH)\ENG\CDPLAYER.ZIP \
     $(ROOT_PATH)\PACKAGE\FILE_ID.DIZ \
     $(ROOT_PATH)\PACKAGE\README.TXT
  CD $(TARGET_PATH)
  REN $(TARGET_PATH)\ENG\CDPLAYER.ZIP CDENG.ZIP
  REN $(TARGET_PATH)\DEU\CDPLAYER.ZIP CDDEU.ZIP
  -ZIP -j -9 -o -u $* $(TARGET_PATH)\ENG\CDENG.ZIP $(TARGET_PATH)\DEU\CDDEU.ZIP $(ROOT_PATH)\PACKAGE\README.TXT $(ROOT_PATH)\PACKAGE\FILE_ID.DIZ
  REN $(TARGET_PATH)\ENG\CDENG.ZIP CDPLAYER.ZIP
  REN $(TARGET_PATH)\DEU\CDDEU.ZIP CDPLAYER.ZIP
!IFDEF RELEASE
  ECHO $(REGID) - $(USERNAME) >>$(ROOT_PATH)\RELEASE\REGNUM.TXT
!ENDIF

$(TARGET_PATH)\DEU\CDPLAYER.ZIP: $(ROOT_PATH)\EXE\SHAREWAR\DEU\CDPLAYER.EXE \
    $(ROOT_PATH)\HLPINF\DEU\CDPLAYER.INF \
    $(ROOT_PATH)\HLPINF\DEU\CDPLAYER.HLP \
    $(ROOT_PATH)\AUXILIAR\DEU\ZIPCOM.TXT \
    $(ROOT_PATH)\PACKAGE\DEU\REGISTER.TXT \
    $(ROOT_PATH)\PACKAGE\DEU\HISTORY.TXT \
    $(ROOT_PATH)\PACKAGE\DEU\INSTALL.TXT \
    $(ROOT_PATH)\PACKAGE\DEU\COPYRGHT.TXT \
    $(ROOT_PATH)\PACKAGE\DEU\INSTALL.CMD
  EAUTIL $(ROOT_PATH)\PACKAGE\DEU\REGISTER.TXT $(ROOT_PATH)\AUXILIAR\TEXT.EA /J /O /P
  EAUTIL $(ROOT_PATH)\PACKAGE\DEU\HISTORY.TXT $(ROOT_PATH)\AUXILIAR\TEXT.EA /J /O /P
  EAUTIL $(ROOT_PATH)\PACKAGE\DEU\INSTALL.TXT $(ROOT_PATH)\AUXILIAR\TEXT.EA /J /O /P
  EAUTIL $(ROOT_PATH)\PACKAGE\DEU\COPYRGHT.TXT $(ROOT_PATH)\AUXILIAR\TEXT.EA /J /O /P
  EAUTIL $(ROOT_PATH)\PACKAGE\DEU\INSTALL.CMD $(ROOT_PATH)\AUXILIAR\CMD.EA /J /O /P
!IFDEF RELEASE
  -MD $(TARGET_PATH)
  -MD $(TARGET_PATH)\ENG
  -MD $(TARGET_PATH)\DEU
!ENDIF
  CD $(TARGET_PATH)\DEU
  ZIP -j -9 -o -u -z $* $? -x ZIPCOM.TXT <$(ROOT_PATH)\AUXILIAR\DEU\ZIPCOM.TXT

$(TARGET_PATH)\ENG\CDPLAYER.ZIP: $(ROOT_PATH)\EXE\SHAREWAR\ENG\CDPLAYER.EXE \
    $(ROOT_PATH)\HLPINF\ENG\CDPLAYER.INF \
    $(ROOT_PATH)\HLPINF\ENG\CDPLAYER.HLP \
    $(ROOT_PATH)\AUXILIAR\ENG\ZIPCOM.TXT \
    $(ROOT_PATH)\PACKAGE\ENG\REGISTER.TXT \
    $(ROOT_PATH)\PACKAGE\ENG\HISTORY.TXT \
    $(ROOT_PATH)\PACKAGE\ENG\INSTALL.TXT \
    $(ROOT_PATH)\PACKAGE\ENG\COPYRGHT.TXT \
    $(ROOT_PATH)\PACKAGE\ENG\INSTALL.CMD
  EAUTIL $(ROOT_PATH)\PACKAGE\ENG\REGISTER.TXT $(ROOT_PATH)\AUXILIAR\TEXT.EA /J /O /P
  EAUTIL $(ROOT_PATH)\PACKAGE\ENG\HISTORY.TXT $(ROOT_PATH)\AUXILIAR\TEXT.EA /J /O /P
  EAUTIL $(ROOT_PATH)\PACKAGE\ENG\INSTALL.TXT $(ROOT_PATH)\AUXILIAR\TEXT.EA /J /O /P
  EAUTIL $(ROOT_PATH)\PACKAGE\ENG\COPYRGHT.TXT $(ROOT_PATH)\AUXILIAR\TEXT.EA /J /O /P
  EAUTIL $(ROOT_PATH)\PACKAGE\ENG\INSTALL.CMD $(ROOT_PATH)\AUXILIAR\CMD.EA /J /O /P
!IFDEF RELEASE
  -MD $(TARGET_PATH)
  -MD $(TARGET_PATH)\ENG
  -MD $(TARGET_PATH)\DEU
!ENDIF
  CD $(TARGET_PATH)\ENG
  ZIP -j -9 -o -u -z $* $? -x ZIPCOM.TXT <$(ROOT_PATH)\AUXILIAR\ENG\ZIPCOM.TXT

